import React from "react";
declare type MainPageProps = {
    setResetMainPageCallback?: (resetMainPageCallback?: () => any) => any;
    isAvoidRenderWhileHiddenEnabled: boolean;
    onClick?: (e: React.FormEvent<MouseEvent | HTMLDivElement | HTMLElement>) => void;
};
declare const MainPage: React.FC<MainPageProps>;
export default MainPage;
